import React from 'react'
import colors from '../../utils/Colors'

const Bank = props => (
  <svg viewBox='0 0 23 23' xmlns='http://www.w3.org/2000/svg' {...props}>
    <g fill={props.color}>
      <path d='M.79 6.813h21.42a.22.22 0 0 0 .114-.408L11.884.107a.742.742 0 0 0-.767 0L.677 6.405a.22.22 0 0 0 .113.408z' />
      <path d='M21.706 9.254c.15 0 .272-.122.272-.272v-.998a.272.272 0 0 0-.272-.272H1.294a.272.272 0 0 0-.272.272v.998a.272.272 0 0 0 .272.272h1.533v9.635H1.294a.272.272 0 0 0-.272.272v.997a.272.272 0 0 0 .272.273h20.412a.272.272 0 0 0 .272-.273v-.997a.272.272 0 0 0-.272-.272h-1.533V9.254h1.533zM9.999 18.889h-4.17V9.254H10v9.635zm7.171 0h-4.169V9.254h4.17v9.635z' />
      <path d='M.272 21.458h22.456c.15 0 .272.122.272.273v.997c0 .15-.122.272-.272.272H.272A.272.272 0 0 1 0 22.728v-.997c0-.15.122-.273.272-.273z' />
    </g>
  </svg>
)

Bank.defaultProps = {
  color: colors.SLATE_GREY
}

export default Bank
